<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
       xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
>
<xsl:output method="html" indent="yes" version="4.0"/> 
<xsl:param name="url" select="' '" /> 
<xsl:variable name="tipoPrezzo" select="substring-after($url, '?')" /> 

<xsl:template match="/">
 <xsl:choose>
 <xsl:when test="$tipoPrezzo=''">
  <html>
  <body>
    <table border="2" bgcolor="yellow">
      <tr>
        <th>Titolo</th>
        <th>Artista</th>
        <th>Prezzo</th>
		<th>Tipo prezzo</th>
      </tr>
      <xsl:for-each select="CATALOGO/CD">
      	  <tr>
          <td><xsl:value-of select="TITOLO"/></td>
          <td ><xsl:value-of select="ARTISTA"/></td>
		  <td ><xsl:value-of select="PREZZO"/></td>
          <xsl:for-each select="PREZZO">
          <td ><xsl:value-of select="@tipo"/></td>
   		  </xsl:for-each>
	      </tr>
       </xsl:for-each>
    </table>
  </body>
  </html>
 </xsl:when> 
 </xsl:choose>
 <xsl:choose>
 <xsl:when test="$tipoPrezzo=empty">
  <html>
  <body>
    <table border="2" bgcolor="yellow">
      <tr>
        <th>Titolo</th>
        <th>Artista</th>
        <th>Prezzo</th>
      </tr>
      <xsl:for-each select="CATALOGO/CD">
      	  <tr>
          <td><xsl:value-of select="TITOLO"/></td>
          <td ><xsl:value-of select="ARTISTA"/></td>
		  <td ><xsl:value-of select="PREZZO"/></td>
	      </tr>
       </xsl:for-each>
    </table>
  </body>
  </html>
 </xsl:when> 
 </xsl:choose>
</xsl:template>


</xsl:stylesheet>
